Page MenuHomePhabricator

Upgrade Nodepool to 0.1.1-wmf4
Closed, ResolvedPublic

Description

I crafted a new Nodepool package that cherry picks a couple patches I proposed upstream. The aim is to fix:

T111377: nodepool can't update images

T113359: Nodepool delay instance deletions by one minute

The patch for the Debian package is https://gerrit.wikimedia.org/r/#/c/237700/

And I pushed the resulting .deb to https://people.wikimedia.org/~hashar/debs/nodepool_0.1.1-wmf4/

Event Timeline

hashar created this task.Nov 13 2015, 5:08 PM
hashar raised the priority of this task from to Needs Triage.
hashar updated the task description. (Show Details)
hashar added a subscriber: hashar.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 13 2015, 5:08 PM
hashar changed the task status from Open to Stalled.Nov 13 2015, 5:08 PM

I need some basic review to be done for the patch that changes the delete deletion. I haven't tested it all.

So stalling this page until https://review.openstack.org/#/c/245220/ got some love.

Peter601980 renamed this task from Upgrade Nodepool to 0.1.1-wmf4 to ghj.Dec 28 2015, 8:03 AM
Peter601980 updated the task description. (Show Details)
Peter601980 set Security to None.
Aklapper renamed this task from ghj to Upgrade Nodepool to 0.1.1-wmf4.Dec 28 2015, 9:20 AM
Aklapper updated the task description. (Show Details)
Aklapper added subscribers: hashar, Aklapper, StudiesWorld.
hashar changed the task status from Stalled to Open.Feb 29 2016, 7:49 PM

The upstream patch on https://review.openstack.org/#/c/245220/ received review and PS2 is fine (other patchsets are just rebases).

I have refreshed the 0.1.1-wmf4 patch https://gerrit.wikimedia.org/r/#/c/237700/3

The refreshed package is at https://people.wikimedia.org/~hashar/debs/nodepool_0.1.1-wmf4/ or:

scp -r rutherfordium.eqiad.wmnet:/home/hashar/public_html/debs/nodepool_0.1.1-wmf4 .
hashar added a subscriber: Andrew.Mar 3 2016, 8:45 PM

Scheduled for Monday March 07 at 20:00–21:00 UTC with @Andrew

hashar closed this task as Resolved.Mar 7 2016, 8:57 PM
hashar claimed this task.